> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Part

> Create a new part.



## OpenAPI

````yaml /api/openapi.json post /v1/parts
openapi: 3.1.0
info:
  title: Fieldnode API
  version: v1
  contact:
    name: Support
    url: https://fieldnode.com
    email: support@fieldnode.com
servers:
  - url: https://api.lab.fieldnode.dev
    description: Lab
    variables: {}
  - url: https://api.sandbox.fieldnode.dev
    description: Sandbox
    variables: {}
  - url: https://api.fieldnode.app
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Process
  - name: Standard
  - name: Material
  - name: Org
  - name: Upload
  - name: Part
  - name: Factory
  - name: Category
  - name: Criticality
  - name: Rfq
  - name: Offer
paths:
  /v1/parts:
    post:
      tags:
        - Part
      summary: Create Part
      description: Create a new part.
      operationId: createPart
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  description: Title of the part.
                externalRef:
                  type: string
                  description: External reference for the part.
                description:
                  type: string
                  description: Description of the part.
                requireSubscription:
                  type: boolean
                  description: Whether the part requires a subscription.
                materialType:
                  type: string
                  enum:
                    - metal
                    - polymer
                    - ceramic
                    - composite
                    - sand
                    - wax
                    - other
                  description: Material type of the part.
                materialId:
                  type: string
                  description: Material ID.
                processId:
                  type: string
                  description: Process ID.
                materialNote:
                  type: string
                  description: Material note.
                processNote:
                  type: string
                  description: Process note.
                standardIds:
                  type: array
                  items:
                    type: string
                  description: Standard IDs.
                criticalityIds:
                  type: array
                  items:
                    type: string
                  description: Criticality IDs.
                categoryIds:
                  type: array
                  items:
                    type: string
                  description: Category IDs.
                unspscCategoryIds:
                  type: array
                  items:
                    type: string
                  description: UNSPSC category IDs.
                keywords:
                  type: array
                  items:
                    type: string
                  description: Keywords.
                internal:
                  type: boolean
                  description: Whether the part is internal.
                rapidManufacturingMaterial:
                  type: string
                  description: Rapid manufacturing material.
                exemptionsNotes:
                  type: string
                  description: Exemptions notes.
                documentationRequirementNotes:
                  type: string
                  description: Documentation requirement notes.
                otherRequirementNotes:
                  type: string
                  description: Other requirement notes.
                descriptionManufacturer:
                  type: string
                  description: Description for manufacturer.
                unitSystem:
                  $ref: '#/components/schemas/UnitSystem'
                  description: Unit system.
                businessUnitIds:
                  type: array
                  items:
                    type: string
                  description: Business unit IDs.
                boundingBox:
                  $ref: '#/components/schemas/BoundingBox'
                  description: Bounding box measures (x/y/z).
                metadata:
                  type: object
                  unevaluatedProperties:
                    type: string
                  description: Optional metadata key-value pairs to attach to the part.
                customFields:
                  type: array
                  items:
                    $ref: '#/components/schemas/CustomFieldInput'
                  description: Custom dropdown selections to attach to the part.
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePartResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UnitSystem:
      type: string
      enum:
        - METRIC
        - IMPERIAL
    BoundingBox:
      type: object
      properties:
        x:
          type: number
          format: double
          description: X dimension.
        'y':
          type: number
          format: double
          description: Y dimension.
        z:
          type: number
          format: double
          description: Z dimension.
      description: Bounding box dimensions.
    CustomFieldInput:
      type: object
      required:
        - dropdownId
        - selectedOptionIds
      properties:
        dropdownId:
          type: string
          description: Dropdown id.
        selectedOptionIds:
          type: array
          items:
            type: string
          description: IDs of the options to select.
      description: Input for setting custom dropdown selections when creating a part.
    CreatePartResponse:
      type: object
      required:
        - partUrl
        - id
      properties:
        partUrl:
          type: string
          description: |-
            Absolute or root-relative URL to the part in the web app
            (e.g. {webapp_origin}/app/parts/{part_id}).
        id:
          type: string
          description: ID of the created part.
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: integer
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````